org.apache.solr.client.solrj.io.eval

## Class KnnRegressionEvaluator.KnnRegressionTuple

- java.lang.Object
- - org.apache.solr.client.solrj.io.Tuple
  - - org.apache.solr.client.solrj.io.eval.KnnRegressionEvaluator.KnnRegressionTuple

All Implemented Interfaces:
  Cloneable, MapSerializable, MapWriter, NavigableObject

Enclosing class:
  KnnRegressionEvaluator

    public static class KnnRegressionEvaluator.KnnRegressionTuple
    extends Tuple

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.io.Tuple

`EOF, EXCEPTION, fieldLabels, fieldNames, fields`

### Constructor Summary

Constructors
Constructor and Description
`KnnRegressionTuple(Matrix observations, double[] outcomes, int k, org.apache.commons.math3.ml.distance.DistanceMeasure distanceMeasure, Map<?,?> map, boolean scale, boolean robust)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getScale()`
`double` `predict(double[] values)`
`double[]` `scale(double[] predictors)`
`Matrix` `scale(Matrix predictors)`

### Methods inherited from class org.apache.solr.client.solrj.io.Tuple

`clone, get, getBool, getBools, getDate, getDates, getDouble, getDoubles, getException, getLong, getLongs, getMap, getMaps, getMetrics, getString, getStrings, merge, put, remove, setMaps, setMetrics, writeMap`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr`

### Constructor Detail

#### KnnRegressionTuple

    public KnnRegressionTuple(Matrix observations,
                              double[] outcomes,
                              int k,
                              org.apache.commons.math3.ml.distance.DistanceMeasure distanceMeasure,
                              Map<?,?> map,
                              boolean scale,
                              boolean robust)

### Method Detail

#### getScale

    public boolean getScale()

#### scale

    public double[] scale(double[] predictors)

#### scale

    public Matrix scale(Matrix predictors)

#### predict

    public double predict(double[] values)